Module | Spec::Mocks::Methods
In: | lib/spec/mocks/methods.rb

### Methods

should_not_receive should_receive stub!

### Public Instance methods

should_not_receive(sym, &block)

[Source]

        # File lib/spec/mocks/methods.rb, line 8
     8:       def should_not_receive(sym, &block)
     9:         __mock_proxy.add_negative_message_expectation(caller(1)[0], sym.to_sym, &block)
    10:       end

should_receive(sym, opts={}, &block)

[Source]

       # File lib/spec/mocks/methods.rb, line 4
    4:       def should_receive(sym, opts={}, &block)
    5:         __mock_proxy.add_message_expectation(opts[:expected_from] || caller(1)[0], sym.to_sym, opts, &block)
    6:       end

stub!(sym, opts={})

[Source]

        # File lib/spec/mocks/methods.rb, line 12
    12:       def stub!(sym, opts={})
    13:         __mock_proxy.add_stub(caller(1)[0], sym.to_sym, opts)
    14:       end

[Validate]